node-verror_1.10.0-1_all.deb


Advertisement

Description

node-verror - rich JavaScript errors

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-verror_1.10.0-1_all.deb
Package name node-verror
Package version 1.10.0
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/davepacheco/node-verror
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 13.25 KB
Installed size 34.00 KB
This module provides several classes in support of Joyent's Best Practices
for Error Handling in Node.js.
The error classes here support:
* printf-style arguments for the message
* chains of causes
* properties to provide extra information about the error
* creating your own subclasses that support all of these
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-verror_1.10.0-1_all.deb 1.10.0 all Ubuntu Universe
node-verror - - -

Requires

Name Value
node-assert-plus >= 1.0.0
node-core-util-is >= 1.0.2
node-extsprintf >= 1.2.0
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-verror_1.10.0-1_all.deb
Source Package node-verror

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-verror deb package:
    # sudo apt-get install node-verror

Files

Path
/usr/lib/nodejs/verror/package.json
/usr/lib/nodejs/verror/lib/verror.js
/usr/share/doc/node-verror/README.md.gz
/usr/share/doc/node-verror/changelog.Debian.gz
/usr/share/doc/node-verror/copyright

Changelog

2017-05-04 - Pirate Praveen <praveen@debian.org>
node-verror (1.10.0-1) unstable; urgency=low
* Initial release (Closes: #861799)

See Also

Package Description
node-vhost_3.0.2-1_all.deb connect middleware for domain request matching - Node.js module
node-vinyl-fs_2.4.4-1_all.deb Vinyl adapter for the file system
node-vinyl-sourcemaps-apply_0.2.1-1_all.deb Apply a source map to a vinyl file
node-vinyl_2.0.1-1_all.deb Virtual file format
node-vlq_1.0.0-3_all.deb Variable-length quantity mapper for Node.js
node-vm-browserify_0.0.4-1_all.deb vm module for the browser
node-vows_0.8.1-3_all.deb asynchronous BDD & continuous integration for Node
node-vue-hot-reload-api_2.3.0-1_all.deb hot reload api for *.vue components
node-vue-resource_1.3.4+dfsg-1_all.deb HTTP client for Vue.js
node-vue-style-loader_3.0.1-1_all.deb Vue.js style loader module for webpack
node-vue-template-compiler_2.4.2-1_all.deb template compiler for Vue 2.0
node-vue_2.5.17+dfsg-1_all.deb Core library of the Vue JavaScript framework
node-watchpack_1.3.1-3_all.deb Wrapper library for directory and file watching
node-wcwidth.js_1.0.0-1_all.deb wcwidth.js is a javascript porting of C's wcwidth()
node-webfinger_0.4.2-1_all.deb Client library for Host Meta (RFC 6415) and Webfinger
Advertisement
Advertisement